Bug 163635 - [PATCH] net/opal3: Fix build on 10-CURRENT
[PATCH] net/opal3: Fix build on 10-CURRENT
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-26 22:00 UTC by Steve Wills
Modified: 2011-12-29 23:30 UTC (History)
1 user (show)

See Also:


Attachments
opal3-3.6.6_13.patch (2.39 KB, patch)
2011-12-26 22:00 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2011-12-26 22:00:20 UTC
The attached patch fixes the issue with building net/opal3 on 10-CURRENT. It's
basically just a more correct version of the existing patch. This is marked
serious since it blocks building x11/gnome2 on 10-CURRENT. Also pet portlint
while here. Not PORTREVISION bump since the build output remains the same.

Added file(s):
- files/patch-spandsp_fax.cpp
- files/patch-spandsp_if.cpp

Removed file(s):
- files/patch-spandsp_if.h

Port maintainer (melifaro@ipfw.ru) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-12-26 22:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-12-26 22:00:37 UTC
Maintainer of net/opal3,

Please note that PR ports/163635 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163635

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-12-26 22:00:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Alexander V. Chernikov freebsd_committer 2011-12-26 22:52:01 UTC
Please commit if this is needed.

I'm not related with voip now, so I can't update/test ptlib,opal, Ekiga
and spandsp. Feel free to take maintainership if you're interested.
Comment 5 Steve Wills freebsd_committer 2011-12-29 01:13:16 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 12/26/11 17:52, Alexander V. Chernikov wrote:
> Please commit if this is needed.
> 
> I'm not related with voip now, so I can't update/test ptlib,opal, Ekiga
> and spandsp. Feel free to take maintainership if you're interested.

Ok, thanks. You have any thoughts on disabling ODBC in ptlib by default?
Any reason not to?

Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (FreeBSD)

iQEcBAEBAgAGBQJO+76sAAoJEPXPYrMgexuhLEoIAJ0n0VHZRt7sgyonwZonZjNw
0IdEtp7mojNS8DZJbfFqZcDBtjcu/se3v1Ey3NwO1zMIkpcGVi452r0H+ATzMc54
gdny8UZC9jZ7LH8/uuspl3AhwmLUF+xkiJFar8J8czslj7nKB0aasUB6fWLaJtTQ
rqD/SrijiI2XXaigXLIzw3SHsH7Z12dODY90fbKOIaDpITmMf0xfsS7AB5PAPy72
k5aTG6DbcEfM9ZCQe6l40wAoiDs3OAi70EsR31KpzgUZOqR23OZc2gWrRHJs/uN3
rAxSJTOUC4C/kKnQ9to2+JQfbwHv2b/f9GUkFpoTGwJo3Moe0iwbokqZJTA4GmA=
=hvpp
-----END PGP SIGNATURE-----
Comment 6 dfilter freebsd_committer 2011-12-29 23:24:44 UTC
swills      2011-12-29 23:24:35 UTC

  FreeBSD ports repository

  Modified files:
    net/opal3            Makefile 
  Added files:
    net/opal3/files      patch-spandsp_fax.cpp 
                         patch-spandsp_if.cpp 
  Removed files:
    net/opal3/files      patch-spandsp_if.h 
  Log:
  - Fix build on 10-CURRENT
  - Turn over to gnome team since it's used by Gnome ports
  
  PR:             ports/163635
  Submitted by:   swills (myself)
  Approved by:    melifaro (maintainer)
  
  Revision  Changes    Path
  1.110     +3 -2      ports/net/opal3/Makefile
  1.1       +10 -0     ports/net/opal3/files/patch-spandsp_fax.cpp (new)
  1.1       +10 -0     ports/net/opal3/files/patch-spandsp_if.cpp (new)
  1.2       +0 -14     ports/net/opal3/files/patch-spandsp_if.h (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2011-12-29 23:25:56 UTC
swills      2011-12-29 23:25:39 UTC

  FreeBSD ports repository

  Modified files:
    devel/ptlib26        Makefile 
    comms/spandsp-devel  Makefile 
    net/ekiga3           Makefile 
  Log:
  - Turn over to gnome team since it's used by Gnome ports
  
  PR:             ports/163635
  Approved by:    melifaro (maintainer)
  
  Revision  Changes    Path
  1.27      +1 -1      ports/comms/spandsp-devel/Makefile
  1.15      +1 -1      ports/devel/ptlib26/Makefile
  1.10      +1 -1      ports/net/ekiga3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Steve Wills freebsd_committer 2011-12-29 23:26:57 UTC
State Changed
From-To: feedback->closed

Committed.